Districts
Required scopes
This endpoint requires the following scopes:
- : Read the district
Authorizations
OAuth2clientCredentialsRequiredToken URL:
OAuth 2.0 Client Credentials. Exchange your client_id/client_secret at the token URL for a short-lived Bearer token, then call the API with it.
Responses
200
returns the caller district
application/json
dataobject[]Optional
metaobjectOptional
linksobjectOptional
401
missing or invalid token
application/json
403
token valid but lacks the districts:read scope
application/json
get/api/v2/districts
GET /api/v2/districts HTTP/1.1
Host: api.masteryconnect.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"data": [
{}
],
"meta": {},
"links": {}
}Required scopes
This endpoint requires the following scopes:
- : Read the district
Authorizations
OAuth2clientCredentialsRequiredToken URL:
OAuth 2.0 Client Credentials. Exchange your client_id/client_secret at the token URL for a short-lived Bearer token, then call the API with it.
Path parameters
idintegerRequired
Responses
200
the caller district
application/json
dataobjectOptional
404
any other district id
application/json
get/api/v2/districts/{id}
GET /api/v2/districts/{id} HTTP/1.1
Host: api.masteryconnect.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"data": {}
}Last updated
Was this helpful?